package com.dxhy.erp.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiexuedi
 * @date 2019/05/10 09:03:55 用于接收报销系统数据的实体
 */
@Data
@TableName(value = "t_dx_invoice_reimburse")
public class TDxInvoiceReimburse {
    @TableId
    private Long id;
    private String invoiceType;
    private String invoiceCode;
    private String invoiceNo;
    private String invoiceDate;
    private String ticketNumber;
    private String passenger;
    private BigDecimal invoiceAmount;
    private BigDecimal taxAmount;
    private BigDecimal totalAmount;
    private String invoiceStatus;
    private String dqskssq;
    private String sourceSystem;
    private String invoiceName;
    private String departureCity;
    private String reachingCity;
    private String relatedBusinessDocuments;
    private String businessDocumentMaker;
    private String businessDocumentNumber;
    private String reimbursementTime;
    private String reimbursementStatus;
    private String trainNumber;
    private Date ticketDepartureTime;
    private Date ticketArrivalTime;
    private String passengerSFZH;
    private String uuid;
    @TableField(exist = false)
    private String invoiceString;
    private String gfTaxNo;
    private String gfAddressAndPhone;
    private String gfBankAndNo;
    private String xfAddressAndPhone;
    private String xfBankAndNo;
    private String gfName;
    private String xfTaxNo;
    private String xfName;
    private String taxRate;
    private String taxCode;
    private String createDate;
    private String rzhYesorno;
    private String tag;
    private String isDeduction;
    private String isDomestic;
    private String selectId;
    private String qsDate;
    private String qsType;
    private String qsName;
    private String qsStatus;
    @TableField(exist = false)
    private String imagePath;
    private String qzStatus;
    private String scanId;
    private String checkCode;
    private String remark;
    private String fuelSurcharge;
    private String caacDevelopmentFund;
    private String notes;
    private String fare;
    private Date updateDate;
    private String company;
    private String voucherNumber;
    private String currency;

    private String snVoucherNumber;
    private String postingTime;
    private String imageId;
    private String accountPeriod;
    private String compCode;
}
