package com.dxhy.core.entity;

import lombok.Data;

/**
 * @Description: PO输出参数
 * @Author liufeilong
 * @Date 2023-02-06
 **/
@Data
public class EsOutput {
    /**
     * 外围系统数据唯一标识
     */
    private String BSKEY;
    /**
     * SAP数据唯一标识
     */
    private String SAPKEY;
    /**
     * 数据处理标识(S：成功，E：失败)
     */
    private String ZTYPE;
    /**
     * 数据处理描述
     */
    private String ZMESSAGE;
    /**
     * 业务报文
     */
    private Object ZDATA;
}
