package com.dxhy.erp.entity;

import com.dxhy.erp.model.InvoiceDetailInfo;
import lombok.Data;

import java.util.List;

/**
 * @author dxhy
 */
@Data
public class SalesInvoicePushInfos {
    private String invoiceCode;
    private String invoiceNo;
    private String invoiceType;
    private String invoiceDate;
    private String buyerTaxNo;
    private String buyerName;
    // 买方单位代码/身份证号
    private String buyerIdNum;
    private String buyerAccount;
    private String buyerAddressPhone;
    private String buyerBank;
    private String salerTaxNo;
    private String salerName;
    private String salerAccount;
    private String salerAddressPhone;
    private String salerBank;
    private String sellerIdNum;
    private String invoiceAmount;
    private String taxAmount;
    private String totalAmount;
    private String remark;
    private String invoiceStatus;
    private String checkCode;
    private String jqbm;
    private String invoicer;
    private String payee;
    private String reviewer;
    private String vehicleType;
    private String factoryModel;
    private String productPlace;
    private String certificate;
    private String certificateImport;
    private String inspectionNum;
    private String engineNo;
    private String vehicleNo;
    private String phone;
    private String taxRate;
    private String taxBureauCode;
    private String taxBureauName;
    private String taxRecords;
    private String tonnage;
    private String limitPeople;
    private String listStatus;
    private String systemName;
    private String incentiveFlag;
    private String zeroTaxrateFlag;
    private String addedTaxSpecial;
    /** 车牌照号 */
    private String plateNo;
    /** 登记证号 */
    private String certificateNo;
    /** 转入地车辆管理所名称 */
    private String vehicleAdminOffice;
    /** 经营、拍卖单位 */
    private String auctionUnit;
    /** 经营、拍卖单位地址 */
    private String auctionAddress;
    /** 经营、拍卖单位税号 */
    private String auctionTaxno;
    /** 经营、拍卖单位开户银行、账号 */
    private String auctionBank;
    /** 经营、拍卖单位电话 */
    private String auctionPhone;
    /** 二手车市场 */
    private String carMarket;
    /** 二手车市场税号 */
    private String carMarketTaxno;
    /** 二手车市场地址 */
    private String carMarketAddress;
    /** 二手车市场开户银行、账号 */
    private String carMarketBank;
    /** 二手车市场电话 */
    private String carMarketPhone;

    private String buyerAddress;
    private String buyerPhone;
    private String compCode;

    private List<InvoiceDetailInfo> detailList;
}
